From faf82f9438dddad4a42b01e40f7231bdf7e05c0f Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Sun, 12 Sep 2010 16:31:21 +0100
Subject: [PATCH 14/34] convert logout command to event notification

---
 .../gnumed/client/ProxiedWeb/gui/LogoutCommand.py  |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/LogoutCommand.py b/gnumed/gnumed/client/ProxiedWeb/gui/LogoutCommand.py
index 5c38d18..4bc5604 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/LogoutCommand.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/LogoutCommand.py
@@ -1,12 +1,12 @@
+import GMWevents
+
 #======================================================
 class cLogoutCommand:
-    def __init__(self, app):
-        self.app = app
 
-    def execute(self):
+    def onMenuItemLogout(self):
         # TODO: actually send "logout" command to
         # server, resulting in postgresql logout,
         # connection close, or just exit from persistent
         # process would do.
-        self.app.logged_out()
+        GMWevents.events.onLoginEvent(self, None, False) # indicate logged out
 
-- 
1.7.1

